mod game;
mod labled_switch;
mod ui;

use crate::ui::build_ui;

use gtk::prelude::*;
use gtk::{glib, Application};

const APP_ID: &str = "org.foxarmy.learn-hieroglyph";

fn main() -> glib::ExitCode {
    let app = Application::builder().application_id(APP_ID).build();

    app.connect_activate(build_ui);

    app.run()
}
