mod guessing;
mod menu;

use crate::ui::menu::build_menu;

use gtk::prelude::*;
use gtk::{Application, ApplicationWindow};
use std::cell::RefCell;

pub fn build_ui(app: &Application) {
    let mut window: RefCell<ApplicationWindow> = RefCell::new(
        ApplicationWindow::builder()
            .application(app)
            .title("Test")
            .build(),
    );

    let menu = build_menu(&window);

    window.get_mut().set_child(Some(&menu));

    window.get_mut().present();
}
